aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xt/lib-patch-mode.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/t/lib-patch-mode.sh b/t/lib-patch-mode.sh
index afb4b6686..75a3ee283 100755
--- a/t/lib-patch-mode.sh
+++ b/t/lib-patch-mode.sh
@@ -1,5 +1,10 @@
. ./test-lib.sh
+if ! test_have_prereq PERL; then
+ say 'skipping --patch tests, perl not available'
+ test_done
+fi
+
set_state () {
echo "$3" > "$1" &&
git add "$1" &&